Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.lowagie.text.pdf.codec
Class TIFFConstants

    java.lang.Object
      com.lowagie.text.pdf.codec.TIFFConstants

    public class TIFFConstants

extends Object

A baseline TIFF reader. The reader has some functionality in addition to the baseline specifications for Bilevel images, for which the group 3 and group 4 decompression schemes have been implemented. Support for LZW decompression has also been added. Support for Horizontal differencing predictor decoding is also included, when used with LZW compression. However, this support is limited to data with bitsPerSample value of 8. When reading in RGB images, support for alpha and extraSamples being present has been added. Support for reading in images with 16 bit samples has been added. Support for the SampleFormat tag (signed samples as well as floating-point samples) has also been added. In all other cases, support is limited to Baseline specifications.

Field Summary
`static int` | `CLEANFAXDATA_CLEAN`
`static int` | `CLEANFAXDATA_REGENERATED`
`static int` | `CLEANFAXDATA_UNCLEAN`
`static int` | `COLORRESPONSEUNIT_100000S`
`static int` | `COLORRESPONSEUNIT_10000S`
`static int` | `COLORRESPONSEUNIT_1000S`
`static int` | `COLORRESPONSEUNIT_100S`
`static int` | `COLORRESPONSEUNIT_10S`
`static int` | `COMPRESSION_ADOBE_DEFLATE`
`static int` | `COMPRESSION_CCITTFAX3`
`static int` | `COMPRESSION_CCITTFAX4`
`static int` | `COMPRESSION_CCITTRLE`
`static int` | `COMPRESSION_CCITTRLEW`
`static int` | `COMPRESSION_DCS`
`static int` | `COMPRESSION_DEFLATE`
`static int` | `COMPRESSION_IT8BL`
`static int` | `COMPRESSION_IT8CTPAD`
`static int` | `COMPRESSION_IT8LW`
`static int` | `COMPRESSION_IT8MP`
`static int` | `COMPRESSION_JBIG`
`static int` | `COMPRESSION_JPEG`
`static int` | `COMPRESSION_LZW`
`static int` | `COMPRESSION_NEXT`
`static int` | `COMPRESSION_NONE`
`static int` | `COMPRESSION_OJPEG`
`static int` | `COMPRESSION_PACKBITS`
`static int` | `COMPRESSION_PIXARFILM`
`static int` | `COMPRESSION_PIXARLOG`
`static int` | `COMPRESSION_SGILOG`
`static int` | `COMPRESSION_SGILOG24`
`static int` | `COMPRESSION_THUNDERSCAN`
`static int` | `EXTRASAMPLE_ASSOCALPHA`
`static int` | `EXTRASAMPLE_UNASSALPHA`
`static int` | `EXTRASAMPLE_UNSPECIFIED`
`static int` | `FILETYPE_MASK`
`static int` | `FILETYPE_PAGE`
`static int` | `FILETYPE_REDUCEDIMAGE`
`static int` | `FILLORDER_LSB2MSB`
`static int` | `FILLORDER_MSB2LSB`
`static int` | `GRAYRESPONSEUNIT_100000S`
`static int` | `GRAYRESPONSEUNIT_10000S`
`static int` | `GRAYRESPONSEUNIT_1000S`
`static int` | `GRAYRESPONSEUNIT_100S`
`static int` | `GRAYRESPONSEUNIT_10S`
`static int` | `GROUP3OPT_2DENCODING`
`static int` | `GROUP3OPT_FILLBITS`
`static int` | `GROUP3OPT_UNCOMPRESSED`
`static int` | `GROUP4OPT_UNCOMPRESSED`
`static int` | `INKSET_CMYK`
`static int` | `JPEGPROC_BASELINE`
`static int` | `JPEGPROC_LOSSLESS`
`static int` | `OFILETYPE_IMAGE`
`static int` | `OFILETYPE_PAGE`
`static int` | `OFILETYPE_REDUCEDIMAGE`
`static int` | `ORIENTATION_BOTLEFT`
`static int` | `ORIENTATION_BOTRIGHT`
`static int` | `ORIENTATION_LEFTBOT`
`static int` | `ORIENTATION_LEFTTOP`
`static int` | `ORIENTATION_RIGHTBOT`
`static int` | `ORIENTATION_RIGHTTOP`
`static int` | `ORIENTATION_TOPLEFT`
`static int` | `ORIENTATION_TOPRIGHT`
`static int` | `PHOTOMETRIC_CIELAB`
`static int` | `PHOTOMETRIC_LOGL`
`static int` | `PHOTOMETRIC_LOGLUV`
`static int` | `PHOTOMETRIC_MASK`
`static int` | `PHOTOMETRIC_MINISBLACK`
`static int` | `PHOTOMETRIC_MINISWHITE`
`static int` | `PHOTOMETRIC_PALETTE`
`static int` | `PHOTOMETRIC_RGB`
`static int` | `PHOTOMETRIC_SEPARATED`
`static int` | `PHOTOMETRIC_YCBCR`
`static int` | `PLANARCONFIG_CONTIG`
`static int` | `PLANARCONFIG_SEPARATE`
`static int` | `RESUNIT_CENTIMETER`
`static int` | `RESUNIT_INCH`
`static int` | `RESUNIT_NONE`
`static int` | `SAMPLEFORMAT_COMPLEXIEEEFP`
`static int` | `SAMPLEFORMAT_COMPLEXINT`
`static int` | `SAMPLEFORMAT_IEEEFP`
`static int` | `SAMPLEFORMAT_INT`
`static int` | `SAMPLEFORMAT_UINT`
`static int` | `SAMPLEFORMAT_VOID`
`static int` | `THRESHHOLD_BILEVEL`
`static int` | `THRESHHOLD_ERRORDIFFUSE`
`static int` | `THRESHHOLD_HALFTONE`
`static int` | `TIFFTAG_ARTIST`
`static int` | `TIFFTAG_BADFAXLINES`
`static int` | `TIFFTAG_BITSPERSAMPLE`
`static int` | `TIFFTAG_CELLLENGTH`
`static int` | `TIFFTAG_CELLWIDTH`
`static int` | `TIFFTAG_CLEANFAXDATA`
`static int` | `TIFFTAG_COLORMAP`
`static int` | `TIFFTAG_COLORRESPONSEUNIT`
`static int` | `TIFFTAG_COMPRESSION`
`static int` | `TIFFTAG_CONSECUTIVEBADFAXLINES`
`static int` | `TIFFTAG_COPYRIGHT`
`static int` | `TIFFTAG_DATATYPE`
`static int` | `TIFFTAG_DATETIME`
`static int` | `TIFFTAG_DCSHUESHIFTVALUES`
`static int` | `TIFFTAG_DOCUMENTNAME`
`static int` | `TIFFTAG_DOTRANGE`
`static int` | `TIFFTAG_EXTRASAMPLES`
`static int` | `TIFFTAG_FAXRECVPARAMS`
`static int` | `TIFFTAG_FAXRECVTIME`
`static int` | `TIFFTAG_FAXSUBADDRESS`
`static int` | `TIFFTAG_FEDEX_EDR`
`static int` | `TIFFTAG_FILLORDER`
`static int` | `TIFFTAG_FRAMECOUNT`
`static int` | `TIFFTAG_FREEBYTECOUNTS`
`static int` | `TIFFTAG_FREEOFFSETS`
`static int` | `TIFFTAG_GRAYRESPONSECURVE`
`static int` | `TIFFTAG_GRAYRESPONSEUNIT`
`static int` | `TIFFTAG_GROUP3OPTIONS`
`static int` | `TIFFTAG_GROUP4OPTIONS`
`static int` | `TIFFTAG_HALFTONEHINTS`
`static int` | `TIFFTAG_HOSTCOMPUTER`
`static int` | `TIFFTAG_ICCPROFILE`
`static int` | `TIFFTAG_IMAGEDEPTH`
`static int` | `TIFFTAG_IMAGEDESCRIPTION`
`static int` | `TIFFTAG_IMAGELENGTH`
`static int` | `TIFFTAG_IMAGEWIDTH`
`static int` | `TIFFTAG_INKNAMES`
`static int` | `TIFFTAG_INKSET`
`static int` | `TIFFTAG_IT8BITSPEREXTENDEDRUNLENGTH`
`static int` | `TIFFTAG_IT8BITSPERRUNLENGTH`
`static int` | `TIFFTAG_IT8BKGCOLORINDICATOR`
`static int` | `TIFFTAG_IT8BKGCOLORVALUE`
`static int` | `TIFFTAG_IT8COLORCHARACTERIZATION`
`static int` | `TIFFTAG_IT8COLORSEQUENCE`
`static int` | `TIFFTAG_IT8COLORTABLE`
`static int` | `TIFFTAG_IT8HEADER`
`static int` | `TIFFTAG_IT8IMAGECOLORINDICATOR`
`static int` | `TIFFTAG_IT8IMAGECOLORVALUE`
`static int` | `TIFFTAG_IT8PIXELINTENSITYRANGE`
`static int` | `TIFFTAG_IT8RASTERPADDING`
`static int` | `TIFFTAG_IT8SITE`
`static int` | `TIFFTAG_IT8TRANSPARENCYINDICATOR`
`static int` | `TIFFTAG_JBIGOPTIONS`
`static int` | `TIFFTAG_JPEGACTABLES`
`static int` | `TIFFTAG_JPEGDCTABLES`
`static int` | `TIFFTAG_JPEGIFBYTECOUNT`
`static int` | `TIFFTAG_JPEGIFOFFSET`
`static int` | `TIFFTAG_JPEGLOSSLESSPREDICTORS`
`static int` | `TIFFTAG_JPEGPOINTTRANSFORM`
`static int` | `TIFFTAG_JPEGPROC`
`static int` | `TIFFTAG_JPEGQTABLES`
`static int` | `TIFFTAG_JPEGRESTARTINTERVAL`
`static int` | `TIFFTAG_JPEGTABLES`
`static int` | `TIFFTAG_MAKE`
`static int` | `TIFFTAG_MATTEING`
`static int` | `TIFFTAG_MAXSAMPLEVALUE`
`static int` | `TIFFTAG_MINSAMPLEVALUE`
`static int` | `TIFFTAG_MODEL`
`static int` | `TIFFTAG_NUMBEROFINKS`
`static int` | `TIFFTAG_ORIENTATION`
`static int` | `TIFFTAG_OSUBFILETYPE`
`static int` | `TIFFTAG_PAGENAME`
`static int` | `TIFFTAG_PAGENUMBER`
`static int` | `TIFFTAG_PHOTOMETRIC`
`static int` | `TIFFTAG_PHOTOSHOP`
`static int` | `TIFFTAG_PIXAR_FOVCOT`
`static int` | `TIFFTAG_PIXAR_IMAGEFULLLENGTH`
`static int` | `TIFFTAG_PIXAR_IMAGEFULLWIDTH`
`static int` | `TIFFTAG_PIXAR_MATRIX_WORLDTOCAMERA`
`static int` | `TIFFTAG_PIXAR_MATRIX_WORLDTOSCREEN`
`static int` | `TIFFTAG_PIXAR_TEXTUREFORMAT`
`static int` | `TIFFTAG_PIXAR_WRAPMODES`
`static int` | `TIFFTAG_PLANARCONFIG`
`static int` | `TIFFTAG_PREDICTOR`
`static int` | `TIFFTAG_PRIMARYCHROMATICITIES`
`static int` | `TIFFTAG_REFERENCEBLACKWHITE`
`static int` | `TIFFTAG_REFPTS`
`static int` | `TIFFTAG_REGIONAFFINE`
`static int` | `TIFFTAG_REGIONTACKPOINT`
`static int` | `TIFFTAG_REGIONWARPCORNERS`
`static int` | `TIFFTAG_RESOLUTIONUNIT`
`static int` | `TIFFTAG_RICHTIFFIPTC`
`static int` | `TIFFTAG_ROWSPERSTRIP`
`static int` | `TIFFTAG_SAMPLEFORMAT`
`static int` | `TIFFTAG_SAMPLESPERPIXEL`
`static int` | `TIFFTAG_SMAXSAMPLEVALUE`
`static int` | `TIFFTAG_SMINSAMPLEVALUE`
`static int` | `TIFFTAG_SOFTWARE`
`static int` | `TIFFTAG_STONITS`
`static int` | `TIFFTAG_STRIPBYTECOUNTS`
`static int` | `TIFFTAG_STRIPOFFSETS`
`static int` | `TIFFTAG_SUBFILETYPE`
`static int` | `TIFFTAG_SUBIFD`
`static int` | `TIFFTAG_TARGETPRINTER`
`static int` | `TIFFTAG_THRESHHOLDING`
`static int` | `TIFFTAG_TILEBYTECOUNTS`
`static int` | `TIFFTAG_TILEDEPTH`
`static int` | `TIFFTAG_TILELENGTH`
`static int` | `TIFFTAG_TILEOFFSETS`
`static int` | `TIFFTAG_TILEWIDTH`
`static int` | `TIFFTAG_TRANSFERFUNCTION`
`static int` | `TIFFTAG_WHITEPOINT`
`static int` | `TIFFTAG_WRITERSERIALNUMBER`
`static int` | `TIFFTAG_XPOSITION`
`static int` | `TIFFTAG_XRESOLUTION`
`static int` | `TIFFTAG_YCBCRCOEFFICIENTS`
`static int` | `TIFFTAG_YCBCRPOSITIONING`
`static int` | `TIFFTAG_YCBCRSUBSAMPLING`
`static int` | `TIFFTAG_YPOSITION`
`static int` | `TIFFTAG_YRESOLUTION`
`static int` | `YCBCRPOSITION_CENTERED`
`static int` | `YCBCRPOSITION_COSITED`

Constructor Summary
`TIFFConstants()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TIFFTAG_SUBFILETYPE

    public static final int TIFFTAG_SUBFILETYPE

See Also:
  Constant Field Values

### FILETYPE_REDUCEDIMAGE

    public static final int FILETYPE_REDUCEDIMAGE

See Also:
  Constant Field Values

### FILETYPE_PAGE

    public static final int FILETYPE_PAGE

See Also:
  Constant Field Values

### FILETYPE_MASK

    public static final int FILETYPE_MASK

See Also:
  Constant Field Values

### TIFFTAG_OSUBFILETYPE

    public static final int TIFFTAG_OSUBFILETYPE

See Also:
  Constant Field Values

### OFILETYPE_IMAGE

    public static final int OFILETYPE_IMAGE

See Also:
  Constant Field Values

### OFILETYPE_REDUCEDIMAGE

    public static final int OFILETYPE_REDUCEDIMAGE

See Also:
  Constant Field Values

### OFILETYPE_PAGE

    public static final int OFILETYPE_PAGE

See Also:
  Constant Field Values

### TIFFTAG_IMAGEWIDTH

    public static final int TIFFTAG_IMAGEWIDTH

See Also:
  Constant Field Values

### TIFFTAG_IMAGELENGTH

    public static final int TIFFTAG_IMAGELENGTH

See Also:
  Constant Field Values

### TIFFTAG_BITSPERSAMPLE

    public static final int TIFFTAG_BITSPERSAMPLE

See Also:
  Constant Field Values

### TIFFTAG_COMPRESSION

    public static final int TIFFTAG_COMPRESSION

See Also:
  Constant Field Values

### COMPRESSION_NONE

    public static final int COMPRESSION_NONE

See Also:
  Constant Field Values

### COMPRESSION_CCITTRLE

    public static final int COMPRESSION_CCITTRLE

See Also:
  Constant Field Values

### COMPRESSION_CCITTFAX3

    public static final int COMPRESSION_CCITTFAX3

See Also:
  Constant Field Values

### COMPRESSION_CCITTFAX4

    public static final int COMPRESSION_CCITTFAX4

See Also:
  Constant Field Values

### COMPRESSION_LZW

    public static final int COMPRESSION_LZW

See Also:
  Constant Field Values

### COMPRESSION_OJPEG

    public static final int COMPRESSION_OJPEG

See Also:
  Constant Field Values

### COMPRESSION_JPEG

    public static final int COMPRESSION_JPEG

See Also:
  Constant Field Values

### COMPRESSION_NEXT

    public static final int COMPRESSION_NEXT

See Also:
  Constant Field Values

### COMPRESSION_CCITTRLEW

    public static final int COMPRESSION_CCITTRLEW

See Also:
  Constant Field Values

### COMPRESSION_PACKBITS

    public static final int COMPRESSION_PACKBITS

See Also:
  Constant Field Values

### COMPRESSION_THUNDERSCAN

    public static final int COMPRESSION_THUNDERSCAN

See Also:
  Constant Field Values

### COMPRESSION_IT8CTPAD

    public static final int COMPRESSION_IT8CTPAD

See Also:
  Constant Field Values

### COMPRESSION_IT8LW

    public static final int COMPRESSION_IT8LW

See Also:
  Constant Field Values

### COMPRESSION_IT8MP

    public static final int COMPRESSION_IT8MP

See Also:
  Constant Field Values

### COMPRESSION_IT8BL

    public static final int COMPRESSION_IT8BL

See Also:
  Constant Field Values

### COMPRESSION_PIXARFILM

    public static final int COMPRESSION_PIXARFILM

See Also:
  Constant Field Values

### COMPRESSION_PIXARLOG

    public static final int COMPRESSION_PIXARLOG

See Also:
  Constant Field Values

### COMPRESSION_DEFLATE

    public static final int COMPRESSION_DEFLATE

See Also:
  Constant Field Values

### COMPRESSION_ADOBE_DEFLATE

    public static final int COMPRESSION_ADOBE_DEFLATE

See Also:
  Constant Field Values

### COMPRESSION_DCS

    public static final int COMPRESSION_DCS

See Also:
  Constant Field Values

### COMPRESSION_JBIG

    public static final int COMPRESSION_JBIG

See Also:
  Constant Field Values

### COMPRESSION_SGILOG

    public static final int COMPRESSION_SGILOG

See Also:
  Constant Field Values

### COMPRESSION_SGILOG24

    public static final int COMPRESSION_SGILOG24

See Also:
  Constant Field Values

### TIFFTAG_PHOTOMETRIC

    public static final int TIFFTAG_PHOTOMETRIC

See Also:
  Constant Field Values

### PHOTOMETRIC_MINISWHITE

    public static final int PHOTOMETRIC_MINISWHITE

See Also:
  Constant Field Values

### PHOTOMETRIC_MINISBLACK

    public static final int PHOTOMETRIC_MINISBLACK

See Also:
  Constant Field Values

### PHOTOMETRIC_RGB

    public static final int PHOTOMETRIC_RGB

See Also:
  Constant Field Values

### PHOTOMETRIC_PALETTE

    public static final int PHOTOMETRIC_PALETTE

See Also:
  Constant Field Values

### PHOTOMETRIC_MASK

    public static final int PHOTOMETRIC_MASK

See Also:
  Constant Field Values

### PHOTOMETRIC_SEPARATED

    public static final int PHOTOMETRIC_SEPARATED

See Also:
  Constant Field Values

### PHOTOMETRIC_YCBCR

    public static final int PHOTOMETRIC_YCBCR

See Also:
  Constant Field Values

### PHOTOMETRIC_CIELAB

    public static final int PHOTOMETRIC_CIELAB

See Also:
  Constant Field Values

### PHOTOMETRIC_LOGL

    public static final int PHOTOMETRIC_LOGL

See Also:
  Constant Field Values

### PHOTOMETRIC_LOGLUV

    public static final int PHOTOMETRIC_LOGLUV

See Also:
  Constant Field Values

### TIFFTAG_THRESHHOLDING

    public static final int TIFFTAG_THRESHHOLDING

See Also:
  Constant Field Values

### THRESHHOLD_BILEVEL

    public static final int THRESHHOLD_BILEVEL

See Also:
  Constant Field Values

### THRESHHOLD_HALFTONE

    public static final int THRESHHOLD_HALFTONE

See Also:
  Constant Field Values

### THRESHHOLD_ERRORDIFFUSE

    public static final int THRESHHOLD_ERRORDIFFUSE

See Also:
  Constant Field Values

### TIFFTAG_CELLWIDTH

    public static final int TIFFTAG_CELLWIDTH

See Also:
  Constant Field Values

### TIFFTAG_CELLLENGTH

    public static final int TIFFTAG_CELLLENGTH

See Also:
  Constant Field Values

### TIFFTAG_FILLORDER

    public static final int TIFFTAG_FILLORDER

See Also:
  Constant Field Values

### FILLORDER_MSB2LSB

    public static final int FILLORDER_MSB2LSB

See Also:
  Constant Field Values

### FILLORDER_LSB2MSB

    public static final int FILLORDER_LSB2MSB

See Also:
  Constant Field Values

### TIFFTAG_DOCUMENTNAME

    public static final int TIFFTAG_DOCUMENTNAME

See Also:
  Constant Field Values

### TIFFTAG_IMAGEDESCRIPTION

    public static final int TIFFTAG_IMAGEDESCRIPTION

See Also:
  Constant Field Values

### TIFFTAG_MAKE

    public static final int TIFFTAG_MAKE

See Also:
  Constant Field Values

### TIFFTAG_MODEL

    public static final int TIFFTAG_MODEL

See Also:
  Constant Field Values

### TIFFTAG_STRIPOFFSETS

    public static final int TIFFTAG_STRIPOFFSETS

See Also:
  Constant Field Values

### TIFFTAG_ORIENTATION

    public static final int TIFFTAG_ORIENTATION

See Also:
  Constant Field Values

### ORIENTATION_TOPLEFT

    public static final int ORIENTATION_TOPLEFT

See Also:
  Constant Field Values

### ORIENTATION_TOPRIGHT

    public static final int ORIENTATION_TOPRIGHT

See Also:
  Constant Field Values

### ORIENTATION_BOTRIGHT

    public static final int ORIENTATION_BOTRIGHT

See Also:
  Constant Field Values

### ORIENTATION_BOTLEFT

    public static final int ORIENTATION_BOTLEFT

See Also:
  Constant Field Values

### ORIENTATION_LEFTTOP

    public static final int ORIENTATION_LEFTTOP

See Also:
  Constant Field Values

### ORIENTATION_RIGHTTOP

    public static final int ORIENTATION_RIGHTTOP

See Also:
  Constant Field Values

### ORIENTATION_RIGHTBOT

    public static final int ORIENTATION_RIGHTBOT

See Also:
  Constant Field Values

### ORIENTATION_LEFTBOT

    public static final int ORIENTATION_LEFTBOT

See Also:
  Constant Field Values

### TIFFTAG_SAMPLESPERPIXEL

    public static final int TIFFTAG_SAMPLESPERPIXEL

See Also:
  Constant Field Values

### TIFFTAG_ROWSPERSTRIP

    public static final int TIFFTAG_ROWSPERSTRIP

See Also:
  Constant Field Values

### TIFFTAG_STRIPBYTECOUNTS

    public static final int TIFFTAG_STRIPBYTECOUNTS

See Also:
  Constant Field Values

### TIFFTAG_MINSAMPLEVALUE

    public static final int TIFFTAG_MINSAMPLEVALUE

See Also:
  Constant Field Values

### TIFFTAG_MAXSAMPLEVALUE

    public static final int TIFFTAG_MAXSAMPLEVALUE

See Also:
  Constant Field Values

### TIFFTAG_XRESOLUTION

    public static final int TIFFTAG_XRESOLUTION

See Also:
  Constant Field Values

### TIFFTAG_YRESOLUTION

    public static final int TIFFTAG_YRESOLUTION

See Also:
  Constant Field Values

### TIFFTAG_PLANARCONFIG

    public static final int TIFFTAG_PLANARCONFIG

See Also:
  Constant Field Values

### PLANARCONFIG_CONTIG

    public static final int PLANARCONFIG_CONTIG

See Also:
  Constant Field Values

### PLANARCONFIG_SEPARATE

    public static final int PLANARCONFIG_SEPARATE

See Also:
  Constant Field Values

### TIFFTAG_PAGENAME

    public static final int TIFFTAG_PAGENAME

See Also:
  Constant Field Values

### TIFFTAG_XPOSITION

    public static final int TIFFTAG_XPOSITION

See Also:
  Constant Field Values

### TIFFTAG_YPOSITION

    public static final int TIFFTAG_YPOSITION

See Also:
  Constant Field Values

### TIFFTAG_FREEOFFSETS

    public static final int TIFFTAG_FREEOFFSETS

See Also:
  Constant Field Values

### TIFFTAG_FREEBYTECOUNTS

    public static final int TIFFTAG_FREEBYTECOUNTS

See Also:
  Constant Field Values

### TIFFTAG_GRAYRESPONSEUNIT

    public static final int TIFFTAG_GRAYRESPONSEUNIT

See Also:
  Constant Field Values

### GRAYRESPONSEUNIT_10S

    public static final int GRAYRESPONSEUNIT_10S

See Also:
  Constant Field Values

### GRAYRESPONSEUNIT_100S

    public static final int GRAYRESPONSEUNIT_100S

See Also:
  Constant Field Values

### GRAYRESPONSEUNIT_1000S

    public static final int GRAYRESPONSEUNIT_1000S

See Also:
  Constant Field Values

### GRAYRESPONSEUNIT_10000S

    public static final int GRAYRESPONSEUNIT_10000S

See Also:
  Constant Field Values

### GRAYRESPONSEUNIT_100000S

    public static final int GRAYRESPONSEUNIT_100000S

See Also:
  Constant Field Values

### TIFFTAG_GRAYRESPONSECURVE

    public static final int TIFFTAG_GRAYRESPONSECURVE

See Also:
  Constant Field Values

### TIFFTAG_GROUP3OPTIONS

    public static final int TIFFTAG_GROUP3OPTIONS

See Also:
  Constant Field Values

### GROUP3OPT_2DENCODING

    public static final int GROUP3OPT_2DENCODING

See Also:
  Constant Field Values

### GROUP3OPT_UNCOMPRESSED

    public static final int GROUP3OPT_UNCOMPRESSED

See Also:
  Constant Field Values

### GROUP3OPT_FILLBITS

    public static final int GROUP3OPT_FILLBITS

See Also:
  Constant Field Values

### TIFFTAG_GROUP4OPTIONS

    public static final int TIFFTAG_GROUP4OPTIONS

See Also:
  Constant Field Values

### GROUP4OPT_UNCOMPRESSED

    public static final int GROUP4OPT_UNCOMPRESSED

See Also:
  Constant Field Values

### TIFFTAG_RESOLUTIONUNIT

    public static final int TIFFTAG_RESOLUTIONUNIT

See Also:
  Constant Field Values

### RESUNIT_NONE

    public static final int RESUNIT_NONE

See Also:
  Constant Field Values

### RESUNIT_INCH

    public static final int RESUNIT_INCH

See Also:
  Constant Field Values

### RESUNIT_CENTIMETER

    public static final int RESUNIT_CENTIMETER

See Also:
  Constant Field Values

### TIFFTAG_PAGENUMBER

    public static final int TIFFTAG_PAGENUMBER

See Also:
  Constant Field Values

### TIFFTAG_COLORRESPONSEUNIT

    public static final int TIFFTAG_COLORRESPONSEUNIT

See Also:
  Constant Field Values

### COLORRESPONSEUNIT_10S

    public static final int COLORRESPONSEUNIT_10S

See Also:
  Constant Field Values

### COLORRESPONSEUNIT_100S

    public static final int COLORRESPONSEUNIT_100S

See Also:
  Constant Field Values

### COLORRESPONSEUNIT_1000S

    public static final int COLORRESPONSEUNIT_1000S

See Also:
  Constant Field Values

### COLORRESPONSEUNIT_10000S

    public static final int COLORRESPONSEUNIT_10000S

See Also:
  Constant Field Values

### COLORRESPONSEUNIT_100000S

    public static final int COLORRESPONSEUNIT_100000S

See Also:
  Constant Field Values

### TIFFTAG_TRANSFERFUNCTION

    public static final int TIFFTAG_TRANSFERFUNCTION

See Also:
  Constant Field Values

### TIFFTAG_SOFTWARE

    public static final int TIFFTAG_SOFTWARE

See Also:
  Constant Field Values

### TIFFTAG_DATETIME

    public static final int TIFFTAG_DATETIME

See Also:
  Constant Field Values

### TIFFTAG_ARTIST

    public static final int TIFFTAG_ARTIST

See Also:
  Constant Field Values

### TIFFTAG_HOSTCOMPUTER

    public static final int TIFFTAG_HOSTCOMPUTER

See Also:
  Constant Field Values

### TIFFTAG_PREDICTOR

    public static final int TIFFTAG_PREDICTOR

See Also:
  Constant Field Values

### TIFFTAG_WHITEPOINT

    public static final int TIFFTAG_WHITEPOINT

See Also:
  Constant Field Values

### TIFFTAG_PRIMARYCHROMATICITIES

    public static final int TIFFTAG_PRIMARYCHROMATICITIES

See Also:
  Constant Field Values

### TIFFTAG_COLORMAP

    public static final int TIFFTAG_COLORMAP

See Also:
  Constant Field Values

### TIFFTAG_HALFTONEHINTS

    public static final int TIFFTAG_HALFTONEHINTS

See Also:
  Constant Field Values

### TIFFTAG_TILEWIDTH

    public static final int TIFFTAG_TILEWIDTH

See Also:
  Constant Field Values

### TIFFTAG_TILELENGTH

    public static final int TIFFTAG_TILELENGTH

See Also:
  Constant Field Values

### TIFFTAG_TILEOFFSETS

    public static final int TIFFTAG_TILEOFFSETS

See Also:
  Constant Field Values

### TIFFTAG_TILEBYTECOUNTS

    public static final int TIFFTAG_TILEBYTECOUNTS

See Also:
  Constant Field Values

### TIFFTAG_BADFAXLINES

    public static final int TIFFTAG_BADFAXLINES

See Also:
  Constant Field Values

### TIFFTAG_CLEANFAXDATA

    public static final int TIFFTAG_CLEANFAXDATA

See Also:
  Constant Field Values

### CLEANFAXDATA_CLEAN

    public static final int CLEANFAXDATA_CLEAN

See Also:
  Constant Field Values

### CLEANFAXDATA_REGENERATED

    public static final int CLEANFAXDATA_REGENERATED

See Also:
  Constant Field Values

### CLEANFAXDATA_UNCLEAN

    public static final int CLEANFAXDATA_UNCLEAN

See Also:
  Constant Field Values

### TIFFTAG_CONSECUTIVEBADFAXLINES

    public static final int TIFFTAG_CONSECUTIVEBADFAXLINES

See Also:
  Constant Field Values

### TIFFTAG_SUBIFD

    public static final int TIFFTAG_SUBIFD

See Also:
  Constant Field Values

### TIFFTAG_INKSET

    public static final int TIFFTAG_INKSET

See Also:
  Constant Field Values

### INKSET_CMYK

    public static final int INKSET_CMYK

See Also:
  Constant Field Values

### TIFFTAG_INKNAMES

    public static final int TIFFTAG_INKNAMES

See Also:
  Constant Field Values

### TIFFTAG_NUMBEROFINKS

    public static final int TIFFTAG_NUMBEROFINKS

See Also:
  Constant Field Values

### TIFFTAG_DOTRANGE

    public static final int TIFFTAG_DOTRANGE

See Also:
  Constant Field Values

### TIFFTAG_TARGETPRINTER

    public static final int TIFFTAG_TARGETPRINTER

See Also:
  Constant Field Values

### TIFFTAG_EXTRASAMPLES

    public static final int TIFFTAG_EXTRASAMPLES

See Also:
  Constant Field Values

### EXTRASAMPLE_UNSPECIFIED

    public static final int EXTRASAMPLE_UNSPECIFIED

See Also:
  Constant Field Values

### EXTRASAMPLE_ASSOCALPHA

    public static final int EXTRASAMPLE_ASSOCALPHA

See Also:
  Constant Field Values

### EXTRASAMPLE_UNASSALPHA

    public static final int EXTRASAMPLE_UNASSALPHA

See Also:
  Constant Field Values

### TIFFTAG_SAMPLEFORMAT

    public static final int TIFFTAG_SAMPLEFORMAT

See Also:
  Constant Field Values

### SAMPLEFORMAT_UINT

    public static final int SAMPLEFORMAT_UINT

See Also:
  Constant Field Values

### SAMPLEFORMAT_INT

    public static final int SAMPLEFORMAT_INT

See Also:
  Constant Field Values

### SAMPLEFORMAT_IEEEFP

    public static final int SAMPLEFORMAT_IEEEFP

See Also:
  Constant Field Values

### SAMPLEFORMAT_VOID

    public static final int SAMPLEFORMAT_VOID

See Also:
  Constant Field Values

### SAMPLEFORMAT_COMPLEXINT

    public static final int SAMPLEFORMAT_COMPLEXINT

See Also:
  Constant Field Values

### SAMPLEFORMAT_COMPLEXIEEEFP

    public static final int SAMPLEFORMAT_COMPLEXIEEEFP

See Also:
  Constant Field Values

### TIFFTAG_SMINSAMPLEVALUE

    public static final int TIFFTAG_SMINSAMPLEVALUE

See Also:
  Constant Field Values

### TIFFTAG_SMAXSAMPLEVALUE

    public static final int TIFFTAG_SMAXSAMPLEVALUE

See Also:
  Constant Field Values

### TIFFTAG_JPEGTABLES

    public static final int TIFFTAG_JPEGTABLES

See Also:
  Constant Field Values

### TIFFTAG_JPEGPROC

    public static final int TIFFTAG_JPEGPROC

See Also:
  Constant Field Values

### JPEGPROC_BASELINE

    public static final int JPEGPROC_BASELINE

See Also:
  Constant Field Values

### JPEGPROC_LOSSLESS

    public static final int JPEGPROC_LOSSLESS

See Also:
  Constant Field Values

### TIFFTAG_JPEGIFOFFSET

    public static final int TIFFTAG_JPEGIFOFFSET

See Also:
  Constant Field Values

### TIFFTAG_JPEGIFBYTECOUNT

    public static final int TIFFTAG_JPEGIFBYTECOUNT

See Also:
  Constant Field Values

### TIFFTAG_JPEGRESTARTINTERVAL

    public static final int TIFFTAG_JPEGRESTARTINTERVAL

See Also:
  Constant Field Values

### TIFFTAG_JPEGLOSSLESSPREDICTORS

    public static final int TIFFTAG_JPEGLOSSLESSPREDICTORS

See Also:
  Constant Field Values

### TIFFTAG_JPEGPOINTTRANSFORM

    public static final int TIFFTAG_JPEGPOINTTRANSFORM

See Also:
  Constant Field Values

### TIFFTAG_JPEGQTABLES

    public static final int TIFFTAG_JPEGQTABLES

See Also:
  Constant Field Values

### TIFFTAG_JPEGDCTABLES

    public static final int TIFFTAG_JPEGDCTABLES

See Also:
  Constant Field Values

### TIFFTAG_JPEGACTABLES

    public static final int TIFFTAG_JPEGACTABLES

See Also:
  Constant Field Values

### TIFFTAG_YCBCRCOEFFICIENTS

    public static final int TIFFTAG_YCBCRCOEFFICIENTS

See Also:
  Constant Field Values

### TIFFTAG_YCBCRSUBSAMPLING

    public static final int TIFFTAG_YCBCRSUBSAMPLING

See Also:
  Constant Field Values

### TIFFTAG_YCBCRPOSITIONING

    public static final int TIFFTAG_YCBCRPOSITIONING

See Also:
  Constant Field Values

### YCBCRPOSITION_CENTERED

    public static final int YCBCRPOSITION_CENTERED

See Also:
  Constant Field Values

### YCBCRPOSITION_COSITED

    public static final int YCBCRPOSITION_COSITED

See Also:
  Constant Field Values

### TIFFTAG_REFERENCEBLACKWHITE

    public static final int TIFFTAG_REFERENCEBLACKWHITE

See Also:
  Constant Field Values

### TIFFTAG_REFPTS

    public static final int TIFFTAG_REFPTS

See Also:
  Constant Field Values

### TIFFTAG_REGIONTACKPOINT

    public static final int TIFFTAG_REGIONTACKPOINT

See Also:
  Constant Field Values

### TIFFTAG_REGIONWARPCORNERS

    public static final int TIFFTAG_REGIONWARPCORNERS

See Also:
  Constant Field Values

### TIFFTAG_REGIONAFFINE

    public static final int TIFFTAG_REGIONAFFINE

See Also:
  Constant Field Values

### TIFFTAG_MATTEING

    public static final int TIFFTAG_MATTEING

See Also:
  Constant Field Values

### TIFFTAG_DATATYPE

    public static final int TIFFTAG_DATATYPE

See Also:
  Constant Field Values

### TIFFTAG_IMAGEDEPTH

    public static final int TIFFTAG_IMAGEDEPTH

See Also:
  Constant Field Values

### TIFFTAG_TILEDEPTH

    public static final int TIFFTAG_TILEDEPTH

See Also:
  Constant Field Values

### TIFFTAG_PIXAR_IMAGEFULLWIDTH

    public static final int TIFFTAG_PIXAR_IMAGEFULLWIDTH

See Also:
  Constant Field Values

### TIFFTAG_PIXAR_IMAGEFULLLENGTH

    public static final int TIFFTAG_PIXAR_IMAGEFULLLENGTH

See Also:
  Constant Field Values

### TIFFTAG_PIXAR_TEXTUREFORMAT

    public static final int TIFFTAG_PIXAR_TEXTUREFORMAT

See Also:
  Constant Field Values

### TIFFTAG_PIXAR_WRAPMODES

    public static final int TIFFTAG_PIXAR_WRAPMODES

See Also:
  Constant Field Values

### TIFFTAG_PIXAR_FOVCOT

    public static final int TIFFTAG_PIXAR_FOVCOT

See Also:
  Constant Field Values

### TIFFTAG_PIXAR_MATRIX_WORLDTOSCREEN

    public static final int TIFFTAG_PIXAR_MATRIX_WORLDTOSCREEN

See Also:
  Constant Field Values

### TIFFTAG_PIXAR_MATRIX_WORLDTOCAMERA

    public static final int TIFFTAG_PIXAR_MATRIX_WORLDTOCAMERA

See Also:
  Constant Field Values

### TIFFTAG_WRITERSERIALNUMBER

    public static final int TIFFTAG_WRITERSERIALNUMBER

See Also:
  Constant Field Values

### TIFFTAG_COPYRIGHT

    public static final int TIFFTAG_COPYRIGHT

See Also:
  Constant Field Values

### TIFFTAG_RICHTIFFIPTC

    public static final int TIFFTAG_RICHTIFFIPTC

See Also:
  Constant Field Values

### TIFFTAG_IT8SITE

    public static final int TIFFTAG_IT8SITE

See Also:
  Constant Field Values

### TIFFTAG_IT8COLORSEQUENCE

    public static final int TIFFTAG_IT8COLORSEQUENCE

See Also:
  Constant Field Values

### TIFFTAG_IT8HEADER

    public static final int TIFFTAG_IT8HEADER

See Also:
  Constant Field Values

### TIFFTAG_IT8RASTERPADDING

    public static final int TIFFTAG_IT8RASTERPADDING

See Also:
  Constant Field Values

### TIFFTAG_IT8BITSPERRUNLENGTH

    public static final int TIFFTAG_IT8BITSPERRUNLENGTH

See Also:
  Constant Field Values

### TIFFTAG_IT8BITSPEREXTENDEDRUNLENGTH

    public static final int TIFFTAG_IT8BITSPEREXTENDEDRUNLENGTH

See Also:
  Constant Field Values

### TIFFTAG_IT8COLORTABLE

    public static final int TIFFTAG_IT8COLORTABLE

See Also:
  Constant Field Values

### TIFFTAG_IT8IMAGECOLORINDICATOR

    public static final int TIFFTAG_IT8IMAGECOLORINDICATOR

See Also:
  Constant Field Values

### TIFFTAG_IT8BKGCOLORINDICATOR

    public static final int TIFFTAG_IT8BKGCOLORINDICATOR

See Also:
  Constant Field Values

### TIFFTAG_IT8IMAGECOLORVALUE

    public static final int TIFFTAG_IT8IMAGECOLORVALUE

See Also:
  Constant Field Values

### TIFFTAG_IT8BKGCOLORVALUE

    public static final int TIFFTAG_IT8BKGCOLORVALUE

See Also:
  Constant Field Values

### TIFFTAG_IT8PIXELINTENSITYRANGE

    public static final int TIFFTAG_IT8PIXELINTENSITYRANGE

See Also:
  Constant Field Values

### TIFFTAG_IT8TRANSPARENCYINDICATOR

    public static final int TIFFTAG_IT8TRANSPARENCYINDICATOR

See Also:
  Constant Field Values

### TIFFTAG_IT8COLORCHARACTERIZATION

    public static final int TIFFTAG_IT8COLORCHARACTERIZATION

See Also:
  Constant Field Values

### TIFFTAG_FRAMECOUNT

    public static final int TIFFTAG_FRAMECOUNT

See Also:
  Constant Field Values

### TIFFTAG_ICCPROFILE

    public static final int TIFFTAG_ICCPROFILE

See Also:
  Constant Field Values

### TIFFTAG_PHOTOSHOP

    public static final int TIFFTAG_PHOTOSHOP

See Also:
  Constant Field Values

### TIFFTAG_JBIGOPTIONS

    public static final int TIFFTAG_JBIGOPTIONS

See Also:
  Constant Field Values

### TIFFTAG_FAXRECVPARAMS

    public static final int TIFFTAG_FAXRECVPARAMS

See Also:
  Constant Field Values

### TIFFTAG_FAXSUBADDRESS

    public static final int TIFFTAG_FAXSUBADDRESS

See Also:
  Constant Field Values

### TIFFTAG_FAXRECVTIME

    public static final int TIFFTAG_FAXRECVTIME

See Also:
  Constant Field Values

### TIFFTAG_STONITS

    public static final int TIFFTAG_STONITS

See Also:
  Constant Field Values

### TIFFTAG_FEDEX_EDR

    public static final int TIFFTAG_FEDEX_EDR

See Also:
  Constant Field Values

### TIFFTAG_DCSHUESHIFTVALUES

    public static final int TIFFTAG_DCSHUESHIFTVALUES

See Also:
  Constant Field Values

Constructor Detail

### TIFFConstants

    public TIFFConstants()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD